use log::{LevelFilter, SetLoggerError};
use simple_logger::SimpleLogger;

use geoffrey_models::logging::LogLevel;

pub fn init_logging(log_level: LogLevel) -> Result<(), SetLoggerError> {
    SimpleLogger::new()
        .with_level(log_level.into())
        .with_module_level("hyper", LevelFilter::Info)
        .with_module_level("sled", LevelFilter::Info)
        .init()
}
