use log::{LevelFilter, SetLoggerError};
use simple_logger::SimpleLogger;

use geoffrey_models::logging::LogLevel;

pub fn init_logging(log_level: LogLevel) -> Result<(), SetLoggerError> {
    SimpleLogger::new()
        .with_level(LevelFilter::Warn)
        .with_module_level("geoffrey_bot", log_level.into())
        .init()
}
