use crate::models::parameters::CommandRequest;
use crate::models::token::Permissions;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct AddTokenParams {
    pub token: String,
    pub permissions: Vec<Permissions>,
}

impl AddTokenParams {
    fn new(permissions: Vec<Permissions>) -> Self {
        Self {
            token: Default::default(),
            permissions,
        }
    }
}

impl CommandRequest for AddTokenParams {
    fn token(&self) -> String {
        self.token.clone()
    }

    fn set_token(&mut self, token: String) {
        self.token = token;
    }
}
