use crate::models::parameters::CommandRequest;
use crate::models::player::UserID;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct RegisterParameters {
    pub token: String,
    pub new_user_id: UserID,
    pub username: String,
}

impl RegisterParameters {
    pub fn new(username: String) -> Self {
        RegisterParameters {
            token: Default::default(),
            new_user_id: Default::default(),
            username,
        }
    }
}

impl CommandRequest for RegisterParameters {
    fn token(&self) -> String {
        self.token.clone()
    }

    fn set_user_id(&mut self, user_id: UserID) {
        self.new_user_id = user_id;
    }

    fn set_token(&mut self, token: String) {
        self.token = token;
    }
}
