use crate::models::response::api_error::GeoffreyAPIError;
use serde::{Deserialize, Serialize};

pub mod api_error;
pub mod selling_listing;

#[derive(Debug, Serialize, Deserialize)]
pub enum APIResponse<T> {
    Response(T),
    Error {
        error: GeoffreyAPIError,
        msg: String,
    },
}
